#================================================================================================================================
# MIT LICENCE
# Copyright (c) 2019, Aziza Merzouki
#  
#  Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files
# (the "Software"), to deal in the Software without restriction, including without limitation 
#  the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, 
#  and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
#  
#  The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
#   INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
#   IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
#   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
#   OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
#================================================================================================================================

source("evaluateClustering.R")

# Set XLSX file with country level data.
file_StatCompiler_data = "../data/original_aziza/all_SSA_var_Religion_ART_2015_GINI_percent_nbPartners_norm_completedData.xlsx"

# Run clustering with given number of clusters.
nbClusters = 3
runFeaturesClustering(file_StatCompiler_data,"nbClust",nbClusters,incidenceYear=2016,data_sheetName = "Data_LongVar")

# Run clustering with a range of cluster numbers
min_nbClusters = 2
max_nbClusters = 4
# runClusteringInvestigation(file_StatCompiler_data,"nbClust",c(min_nbClusters:max_nbClusters),incidenceYear=2016)
